
# Interface: ProductVariantOption

## Hierarchy

* **ProductVariantOption**

## Index

### Properties

* [productOptionId](productvariantoption.md#optional-productoptionid)
* [productOptionTitle](productvariantoption.md#optional-productoptiontitle)
* [productOptionTraits](productvariantoption.md#optional-productoptiontraits)
* [productOptionType](productvariantoption.md#optional-productoptiontype)
* [productOptionValueId](productvariantoption.md#optional-productoptionvalueid)
* [productOptionValueTitle](productvariantoption.md#optional-productoptionvaluetitle)
* [simpleOptionValue](productvariantoption.md#optional-simpleoptionvalue)

## Properties

### `Optional` productOptionId

• **productOptionId**? : *number | null*

Product option identifier.

___

### `Optional` productOptionTitle

• **productOptionTitle**? : *string | null*

Product option title.

___

### `Optional` productOptionTraits

• **productOptionTraits**? : *string[] | null*

Product option traits.

___

### `Optional` productOptionType

• **productOptionType**? : *[OptionType](../enums/optiontype.md)*

___

### `Optional` productOptionValueId

• **productOptionValueId**? : *number | null*

Product option value identifier.

___

### `Optional` productOptionValueTitle

• **productOptionValueTitle**? : *string | null*

Product option value title.

___

### `Optional` simpleOptionValue

• **simpleOptionValue**? : *[SimpleOptionValue](simpleoptionvalue.md)*
